#include maps\_utility;
#include maps\_vehicle;
#include maps\_helicopter_globals;
#include common_scripts\utility;
#include maps\_anim;
#include maps\_utility_code;
#include maps\_vehicle_aianim;

main()
{

//weapon clips
level.weaponClipModels = [];
level.weaponClipModels[0] = "weapon_m16_clip";
level.weaponClipModels[1] = "weapon_dragunov_clip";
level.weaponClipModels[2] = "weapon_ak47_clip";
level.weaponClipModels[3] = "weapon_g36_clip";
level.weaponClipModels[4] = "weapon_ak74u_clip";
level.weaponClipModels[5] = "weapon_mp5_clip";
level.weaponClipModels[6] = "weapon_saw_clip";
level.weaponClipModels[7] = "weapon_g3_clip";

precacheitem("mp5_silencer_reflex");
precachevehicle("uaz");
precachevehicle("bmp");
precachevehicle("cobra");
precacheitem("cobra_seeker");


maps\_uaz::main("vehicle_uaz_open");
maps\_bmp::main("vehicle_bmp_woodland");
maps\_cobra::main("vehicle_cobra_helicopter_fly");
maps\_load::main();
//maps\paratroopers::main();

flag_init("tank_is_dead");

thread helishot();
thread jeepin();


level.player takeallweapons();
level.player giveweapon("mp5_silencer_reflex");
level.player giveweapon("m4_grunt");
level.player giveweapon("fraggrenade");
level.player giveweapon("flash_grenade");
level.player switchtoweapon("mp5_silencer_reflex");

}

helishot()
{
spawn_stuff = getent("spawn_stuff","targetname");
spawn_stuff waittill ("trigger");

wait 1; 

heli = getent("heli","targetname");	
tank = getent("tank","targetname");
//sMissileType = "mi28_seeker";

shoot_here = getstruct("shoot_here","script_noteworthy");
shoot_here waittill( "trigger", heli );

heli vehicle_detachfrompath();
while( tank.health > 1 )
{
	wait 0.75;
/*
origin_animate_jnt tag_body body_animate_jnt main_rotor_jnt tag_deathfx 
tag_engine_left tag_engine_right tag_flare tag_flash_11 tag_flash_2 tag_ground
tag_gunner tag_light_belly tag_light_cockpit01 tag_light_l_wing tag_light_r_wing
tag_light_tail tag_mfd_left_0 tag_mfd_left_1 tag_mfd_left_2 tag_mfd_right_0 
tag_mfd_right_1 tag_mfd_right_2 tag_pilot tag_player tag_store_l_1_a
tag_store_l_1_b tag_store_l_1_c tag_store_l_1_d tag_store_l_2_a tag_store_l_2_b
tag_store_l_2_c tag_store_l_2_d tag_store_l_wing tag_store_r_1_a tag_store_r_1_b
tag_store_r_1_c tag_store_r_1_d tag_store_r_2 tag_store_r_wing tag_turret 
tag_wheel_front_left tag_wheel_front_right tag_wheel_rear_left 
tag_wheel_rear_right tail_rotor_jnt turret_animate_joint tag_barrel
tag_brass barrel_animate_joint tag_barrel_rotate barrel_rotate_animate_joint 
tag_flash
*/
	offset = ( 0, 0, 0 );//how far from our spot do we want it to be, up,down, side etc..
	heli setVehWeapon( "cobra_seeker" );//we assigna  weapon to the vehicle and then we fire it off a tag location
	heli fireweapon( "tag_barrel", tank, offset );
	//heli thread fire_missile( "mi28_seeker", 4, tank, 3 ); 
}





wait 3;

heli vehicle_resumepathvehicle();
}


jeepin()
{
actorin = getent("actorin","targetname");
actorin notify("trigger");

wait 1;

level.actor = getent("actor","targetname");
level.car = getent("car","targetname");
level.actor2 = getent("actor2","targetname");

wait 1; 

//level.car thread handle_attached_guys();

//level.car thread get_availablepositions();

wait .3;

level.car thread guy_handle(level.actor, 0);
level.car thread guy_handle(level.actor2, 1);

wait 1.5;

//thread guy_enter( level.actor, level.car);

level.car thread guy_runtovehicle( level.actor, level.car);
level.car thread guy_runtovehicle( level.actor2, level.car);

wait 1; 

//level.actor.pos = 0;
//pos = set_pos( level.actor, level.actor.pos );

//thread get_in_vehicle( guy, );
//thread guy_enter( level.actor, level.car);
}

